{% load i18n static %}
{% load check_permissions %}

<div id="authors" class="py-2 content">
    <h2 class="tag-container-expand mt-4 mb-2 u-flex u-items-flex-end u-justify-space-between pb-1">
        {% blocktranslate count counter=authors|length trimmed %}
            Author
        {% plural %}
            Authors
        {% endblocktranslate %}

        {% if user|has_attach_permission %}
            <a class="text-light" href="#author-create" data-action="modals#open">
                <span class="tag tag--halflarge tag--update tag--info bg-gray-700"> 
                    <svg class="svgicon svgicon-plus">
                        <use xlink:href="{% static 'web/img/symbol-defs.svg' %}#icon-plus"></use>
                    </svg> 
                </span><span class="tag tag--halflarge tag--hover tag--info bg-gray-700">
                    {% translate 'Add' %}
                </span>
            </a>
        {% endif %}
    </h2>
    {% if user|has_attach_permission %}
        <div id="author-create" class="modal modal-large modal-animated--zoom-in" data-controller="turbo"
            data-turbo-url-value="{% url 'web:'|add:object_kind|add:'-author-create' object_pk %}">
            <a href="#back" data-modals-target="closebtn" class="modal-overlay close-btn u-text-right"
                aria-label="{% translate 'Close' %}">
                <span class="icon mt-2 mr-3">
                    <svg class="svgicon svgicon-cross">
                        <use xlink:href="{% static 'web/img/symbol-defs.svg' %}#icon-cross"></use>
                    </svg>
                </span>
            </a>
            <div role="document" class="modal-content" data-turbo-target="wrapper">
            </div>
        </div>
    {% endif %}

    <div class="tag-container group-tags">
        {% for author in authors %}
            <p class="i18n-item tag-container-expand px-1 pt-1">
                {% for name in author.preferred_names %}
                    <a href="{% url 'web:author-detail' author.object.pk %}" class="mr-1">
                        <span class="tag tag--halflarge tag--white bg-orange-300 u u-RL">
                            {{ name.name }}
                        </span><span class="tag tag--halflarge tag--black bg-orange-800 u u-LR">
                            {{ name.language__code }}
                        </span>
                    </a>
                {% endfor %}
                {% if author.can_be_unlinked %}
                    <a class="u-pull-right" href="#author-delete-{{ author.object.pk }}" data-action="modals#open">
                        <span class="tag tag--halflarge tag--delete tag--danger"> 
                            <svg class="svgicon svgicon-cancel-circle">
                                <use xlink:href="{% static 'web/img/symbol-defs.svg' %}#icon-cancel-circle"></use>
                            </svg> 
                        </span><span class="tag tag--halflarge tag--hover tag--danger">
                            {% translate 'Remove' %}
                        </span>
                    </a>
                {% endif %}
            </p>

            {% if author.can_be_unlinked %}
                <div id="author-delete-{{ author.object.pk }}" class="modal modal-large modal-animated--zoom-in"
                    data-controller="turbo"
                    data-turbo-url-value="{% url 'web:'|add:object_kind|add:'-author-delete' object_pk author.object.pk %}">
                    <a href="#back" data-modals-target="closebtn" class="modal-overlay close-btn u-text-right"
                        aria-label="{% translate 'Close' %}">
                        <span class="icon mt-2 mr-3">
                            <svg class="svgicon svgicon-cross">
                                <use xlink:href="{% static 'web/img/symbol-defs.svg' %}#icon-cross"></use>
                            </svg>
                        </span>
                    </a>

                    <div role="document" class="modal-content" data-turbo-target="wrapper">
                    </div>
                </div>
            {% endif %}
        {% endfor %}
    </div>
</div>
